4Suite™ API Documentation

# ► Module Ft.Server.Server.Http.Soap

SOAP module
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: SoapModule |  |  |  | Fields: FTSERVER_SERVER_NS, SCHEMA_NSS

## Modules

Handler | Exposes the SCore interface over SOAP

## Classes

class SoapModule(Ft.Server.Server.Module)

### Methods

setAuthName(self, parser, config, name, data, attrs)
setDocumentRoot(self, parser, config, name, data, attrs)

### Methods inherited from class Ft.Server.Server.Module

initialize, loadObject

### Fields

commands = {('http://xmlns.4suite.org/reserved', 'AuthName'): 'setAuthName', ('http://xmlns.4suite.org/reserved', 'DocumentRoot'): 'setDocumentRoot'}
handlers = {'basic_soap': <class Ft.Server.Server.Http.Soap.Handler.SoapHandler>}

## Fields

FTSERVER_SERVER_NS = 'http://xmlns.4suite.org/reserved'
SCHEMA_NSS = 'http://schemas.4suite.org/4ss'